# Generated from soar-policy-access_manager-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name soar-policy-access_manager

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Access Manager that uses policy services to determine authorization
License: MIT
URL: https://github.com/hetznerZA/soar_policy_access_manager
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Access Manager that uses policy services to determine authorization.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%{gem_instdir}/Dockerfile.policies
%{gem_instdir}/Dockerfile.tests
%{gem_instdir}/config.ru
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/docker-compose.test.yml
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/soar-policy-access_manager.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.1-1
- Initial package
